Subject: Follow up from today's WG Chairs' training session

From: Brian E Carpenter <[email-masked]>
Date: Wed, 10 Nov 2004 18:50:02 +0100

The WG chairs heard today about the new web tool for IPR disclosures
(https://datatracker.ietf.org/public/ipr_disclosure.cgi
for those who don't know). We got into a little discussion
about the value of the web form versus free form email disclosures.

My comment is that in the disclosure web form, the section
headed "VI. Licensing Declaration" offers 5 options (of which the
5th is "Unwilling to Commit..."). This maps what is in the
*optional* template of RFC 3905. But it's **optional**. Some
companies will never want to check any of those 5 boxes, but to
provide their own precise legal form of words instead.

The Secretariat, reasonably enough, wants people to use the
web form to minimize manual checking and hanlding of disclosures.

RFC 3668 makes it clear (section 6.5) that there is no required
menu for licensing declarations.

So, my suggestion is to add a new option in section
"VI. Licensing Declaration", probably inserted as a new option d)
with the existing d) becoming e) and the existing e) becoming f).
     _
d) |_| See text box below for licensing declaration.

and then the existing text box would carry the actual declaration
desired by the discloser.

I think this is more consistent with RFC 3668 than the current
web form, and will increase the number of companies able to use
the web form.

This applies equally to the specific and generic disclosure forms.

     Brian

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Scott W Brim <[email-masked]>
Date: Thu, 11 Nov 2004 07:43:24 -0500

> desired by the discloser.

I find the idea of allowing a free-form disclosure via the form
acceptable.  The existing textbox is meant for specifics, for example to
fill in details of what RAND means in a particular case.  One could use
this for the entire declaration, but I think it would be clearer to have
a separate text box specific to this "(d)" case.  Perhaps the
Secretariat -- or Brian :-) -- could put together a couple mock-ups for
us?

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 11 Nov 2004 14:44:31 +0100

> Secretariat -- or Brian :-) -- could put together a couple mock-ups for

I'm fine with a separate text box for this; whatever is most
convenient for the Secretariat.

Here's a mockup attached (don't click Submit please....)

     Brian
This document is an IETF IPR Disclosure and Licensing Declaration
Template and is submitted to inform the IETF of a) patent or patent application information regarding
the IETF document or contribution listed in Section IV, and b) an IPR Holder's intention with respect to the licensing of its necessary patent claims.
No actual license is implied by submission of this template.
Please complete and submit a separate template for each IETF document or contribution to which the
disclosed patent information relates.

If you wish to submit your IPR disclosure by e-mail, then please send it to [email-masked]. Submissions made by e-mail that do not comply with the formal requirements of Section 6, "IPR Disclosures," of RFC 3668, "Intellectual Property Rights in IETF Technology," will be posted, but will be marked as "non-compliant."

I. Patent Holder/Applicant ("Patent Holder")

Legal Name :

II. Patent Holder's Contact for License Application
( Required field * )

Name :

*

Title :

Department :

Address1 :

Address2 :

Telephone :

*

Fax :

Email :

*

III. Contact Information for the IETF Participant Whose Personal
Belief Triggered this Disclosure
(Optional)
( Required field * )

Name :

*

Title :

Department :

Address1 :

Address2 :

Telephone :

*

Fax :

Email :

*

IV. IETF Document or Other Contribution to Which this IPR
Disclosure Relates
( Please fill in one of the boxes below )

RFC Number (Numeric value only) :

I-D Filename (draft-...) :

Designations for Other Contributions :

V. Disclosure of Patent Information (i.e., patents or patent
applications required to be disclosed by Section 6 of RFC 3668)

A. For granted patents or published pending patent applications,
please provide the following information:

Patent, Serial, Publication, Registration, or Application/File number(s) :

Date(s) granted or applied for :

Country :

Additional Note(s) :

B. Does your disclosure relate to an unpublished pending patent application?

Select one :
Yes
No

C. If an Internet-Draft or RFC includes multiple parts and it is not
reasonably apparent which part of such Internet-Draft or RFC is alleged
to be covered by the patent information disclosed in Section
V(A) or V(B), it is helpful if the discloser identifies here the sections of
the Internet-Draft or RFC that are alleged to be so
covered.

VI. Licensing Declaration

The Patent Holder states that
its position with respect to licensing any patent claims contained in the
patent(s) or patent application(s) disclosed above that would necessarily be infringed by
implementation of the technology required by the relevant IETF specification ("Necessary Patent Claims"),
for the purpose of implementing such specification,
is as follows(select one licensing declaration option only):

a) No License Required for Implementers.

This licensing declaration is limited solely
to standards-track IETF documents.

b) Royalty-Free, Reasonable and Non-Discriminatory License to All Implementers.

This licensing declaration is limited solely
to standards-track IETF documents.

c) Reasonable and Non-Discriminatory License to All
Implementers with Possible Royalty/Fee.

This licensing declaration is limited solely
to standards-track IETF documents.

d) Specific Licensing Declaration as follows:

e) Licensing Declaration to be Provided Later (implies a
willingness to commit to the provisions of
a), b), c) or d) above to all implementers; otherwise, the next option
"Unwilling to Commit to the
Provisions of a), b), or c) Above or to provide an alternative d). " - must be selected).

f) Unwilling to Commit to the Provisions
of a), b), or c) Above or to provide an alternative d).

Comments, Notes or URL for more information :

NOTE: The individual submitting this template represents and warrants
that he or she is authorized
by the Patent Holder to agree to the
above-selected licensing declaration.

VII. Contact Information of Submitter of this Form (if different from
IETF Participant in Section III above)

( Required field * )

Same as Section III above

Name :

*

Title :

Department :

Address1 :

Address2 :

Telephone :

*

Fax :

Email :

*

VIII. Other Note(s):

IPR Disclosure Page

View IPR Disclosures